Skip to content

Get current user​

GET
/cognito/me

The signed-in user's profile. Cookie session only — this endpoint does not accept an Authorization header or an API key. When the short-lived session has expired but the refresh cookie is still valid, it renews the session transparently and sets new cookies. While FundlyHub support is viewing the account on the user's behalf it returns that user with is_impersonating: true and impersonated_by.

Responses​

Current user info

application/json
JSON
{
"user": {
"id": "string",
"email": "string",
"name": "string",
"avatar": "string",
"role": "string",
"email_verified": true,
"created_at": "string",
"profile_slug": "string",
"auth_provider": "string",
"needs_name_update": true,
"deletion_scheduled_for": "string",
"is_impersonating": true,
"impersonated_by": "string"
}
}

Playground​

Samples​

Powered by VitePress OpenAPI

Built with VitePress